//CCVisu is a tool for co-change visualization.
//This file is part of CCVisu. 

//Copyright (C) 2005-2006  Dirk Beyer

//CCVisu is free software; you can redistribute it and/or
//modify it under the terms of the GNU Lesser General Public License
//as published by the Free Software Foundation; either
//version 2.1 of the License, or (at your option) any later version.

//CCVisu is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//Lesser General Public License for more details.

//You should have received a copy of the GNU Lesser General Public License
//along with CCVisu; if not, write to the Free Software
//Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

//Please find the GNU Lesser General Public License in file
//../license_lgpl.txt or http://www.gnu.org/licenses/lgpl.txt

//Dirk Beyer    (firstname.lastname@epfl.ch)
//Ecole Polytechnique Federale de Lausanne (EPFL), Switzerland

package ccvisu;

import java.util.EventObject;

/**
 * An Event class to notify that chages on the graph where made
 * used by Minimizer and/or subclasses
 * @version  $Revision: 1.2 $; $Date: 2006/11/25 10:31:07 $
 * @author Damien Zufferey
 */
public class GraphEvent extends EventObject {

    private static final long serialVersionUID = 200604171207L;


    /**
     * Constructor
     * @param source    the source of the event
     */
    public GraphEvent(Object source) {
        super(source);
    }

}
